## plasma-framework 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Plasma)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)
include(KDEPackageAppTemplates)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfigVersion.cmake"
                  SOVERSION 5)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
   set(CMAKE_AUTOMOC_MOC_OPTIONS "-DKDE_NO_DEPRECATED")
endif()

################# Enable C++0x (still too early for -std=c++11) features for clang and gcc #################

if(UNIX)
   #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++0x")
   add_definitions("-Wall -std=c++0x")
endif()

################# now find all used packages #################

set (REQUIRED_QT_VERSION "5.3.0")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Sql Qml Svg Script)

find_package(KF5Activities ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Declarative ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF5_DEP_VERSION} REQUIRED)

find_package(KF5DocTools ${KF5_DEP_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Tools to generate documentation"
                       TYPE OPTIONAL
                      )

#optional features
find_package(X11 MODULE)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                       URL "http://www.x.org"
                       TYPE OPTIONAL
                      )
find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE SHAPE XFIXES RENDER)
set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                       URL "http://xcb.freedesktop.org"
                       TYPE OPTIONAL
                      )
if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
  find_package(Qt5 REQUIRED NO_MODULE COMPONENTS X11Extras)
  #X11_Xrender discovery is done by FindX11
  #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
endif()

#FIXME: when we have a qca for qt5, reenable
# find_package(QCA2 2.0.0 MODULE)
set_package_properties(QCA2 PROPERTIES DESCRIPTION "Support for remote plasma widgets"
                       URL "http://delta.affinix.com/qca"
                       TYPE OPTIONAL
                      )

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "http://www.opengl.org"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Support for Window Thumbnail on EGL platform"
                       TYPE OPTIONAL
                      )
set(HAVE_EGL ${EGL_FOUND})

if(OPENGL_FOUND AND (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL"))
    set(HAVE_GLX ${HAVE_X11})
else()
    set(HAVE_GLX 0)
endif()

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

#add_definitions(-Wno-deprecated)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

include(KF5PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Plasma")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5PlasmaTargets.cmake
        NAMESPACE KF5::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

add_subdirectory(autotests)
add_subdirectory(tests)
add_subdirectory(templates)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
set_package_properties(Qt5Test PROPERTIES PURPOSE "Required for tests")

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(KF5CoreAddons REQUIRED)
find_package(KF5XmlGui REQUIRED)
find_package(Qt5Widgets REQUIRED)

# add_definitions( -DKDESRCDIR=${CMAKE_CURRENT_SOURCE_DIR} )

if(KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)
    set(PLASMA_NO_KIO TRUE)
    set(PLASMA_NO_PACKAGEKIT TRUE)
    set(PLASMA_NO_PACKAGE_EXTRADATA TRUE)
endif()

MACRO(PLASMA_UNIT_TESTS)
       FOREACH(_testname ${ARGN})
               add_executable(${_testname} ${_testname}.cpp)
               target_link_libraries(${_testname} Qt5::Qml Qt5::Test
                                     KF5::Plasma KF5::PlasmaQuick
                                     KF5::Archive KF5::CoreAddons
                                     KF5::ConfigGui
                                     KF5::I18n
                                     KF5::KIOCore
                                     KF5::Service)
               if(QT_QTOPENGL_FOUND)
                   target_link_libraries(${_testname} Qt5::OpenGL)
               endif()
               add_test(plasma-${_testname} ${_testname})
               ecm_mark_as_test(${_testname})
       ENDFOREACH(_testname)
ENDMACRO(PLASMA_UNIT_TESTS)

PLASMA_UNIT_TESTS(
    dialogqmltest
    fallbackpackagetest
    packagestructuretest
    packageurlinterceptortest
    pluginloadertest
    framesvgtest
    #    plasmoidpackagetest
)

add_executable(storagetest storagetest.cpp ../src/plasma/private/storage.cpp ../src/plasma/private/storagethread.cpp ../src/plasma/debug_p.cpp)
target_link_libraries(storagetest Qt5::Gui Qt5::Test Qt5::Sql KF5::KIOCore KF5::Plasma KF5::CoreAddons)

if(HAVE_X11)
    set(dialognativetest_srcs dialognativetest.cpp)
    ecm_add_test(${dialognativetest_srcs} TEST_NAME dialognativetest LINK_LIBRARIES Qt5::Gui Qt5::Test Qt5::Qml Qt5::Quick KF5::WindowSystem KF5::Plasma KF5::PlasmaQuick)
endif()

set(coronatest_srcs coronatest.cpp)
qt5_add_resources(coronatest_srcs coronatestresources.qrc)
ecm_add_test(${coronatest_srcs} TEST_NAME coronatest LINK_LIBRARIES Qt5::Gui Qt5::Widgets Qt5::Test KF5::KIOCore KF5::Plasma KF5::CoreAddons KF5::XmlGui)

add_test(plasma-storagetest storagetest)
ecm_mark_as_test(storagetest)

add_executable(sortfiltermodeltest
    sortfiltermodeltest.cpp
    ../src/declarativeimports/core/datamodel.cpp
    ../src/declarativeimports/core/datasource.cpp
    )

target_link_libraries(sortfiltermodeltest
    KF5::Plasma
    Qt5::Gui
    Qt5::Test
    KF5::I18n
    KF5::Service
    Qt5::Qml
    )

add_test(plasma-sortfiltermodeltest sortfiltermodeltest)
ecm_mark_as_test(sortfiltermodeltest)

if(QT_QTOPENGL_FOUND)
  target_link_libraries(storagetest Qt5::OpenGL)
endif()


#Add a test that i18n is not used directly in any import.
# It should /always/ be i18nd
find_program(SH bash)
add_test(i18ndcheck ${SH} ${CMAKE_CURRENT_SOURCE_DIR}/i18ndcheck.sh ${CMAKE_SOURCE_DIR}/src/declarativeimports)

=== src/plasmaquick/CMakeLists.txt ===
if(HAVE_X11 AND XCB_XCB_FOUND AND XCB_SHAPE_FOUND)
    add_definitions(-DHAVE_XCB_SHAPE=1)
else()
    add_definitions(-DHAVE_XCB_SHAPE=0)
endif()

set(plasmaquick_LIB_SRC
    appletquickitem.cpp
    dialog.cpp
    dialogshadows.cpp
    view.cpp
    containmentview.cpp
    configmodel.cpp
    shellpluginloader.cpp
    configview.cpp
    packageurlinterceptor.cpp
    private/configcategory_p.cpp
    private/packages.cpp
    ../declarativeimports/core/framesvgitem.cpp
    ../declarativeimports/core/units.cpp
)

add_library(KF5PlasmaQuick SHARED ${plasmaquick_LIB_SRC})
add_library(KF5::PlasmaQuick ALIAS KF5PlasmaQuick)
target_include_directories(KF5PlasmaQuick PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

target_link_libraries(KF5PlasmaQuick
    PUBLIC
        Qt5::Gui
        Qt5::Quick
        Qt5::Qml
        KF5::Plasma
        KF5::WindowSystem
    PRIVATE
        KF5::KIOWidgets
        KF5::I18n
        KF5::IconThemes
        KF5::Service
        KF5::CoreAddons
        KF5::XmlGui
        KF5::Declarative
        KF5::QuickAddons
)

if(HAVE_X11)
    target_link_libraries(KF5PlasmaQuick
        PRIVATE
            Qt5::X11Extras
            ${X11_LIBRARIES}
            XCB::XCB
    )

    if(XCB_SHAPE_FOUND)
        target_link_libraries(KF5PlasmaQuick PRIVATE XCB::SHAPE)
    endif()
endif()

set_target_properties(KF5PlasmaQuick PROPERTIES
                                     VERSION ${PLASMA_VERSION_STRING}
                                     SOVERSION ${PLASMA_SOVERSION}
                                     EXPORT_NAME PlasmaQuick
                      )

install(TARGETS KF5PlasmaQuick EXPORT KF5PlasmaQuickTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

generate_export_header(KF5PlasmaQuick BASE_NAME PlasmaQuick)

set(plasmaquick_LIB_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plasmaquick_export.h
    appletquickitem.h
    view.h
    configview.h
    configmodel.h
    packageurlinterceptor.h
)

#install(FILES ${plasmaquick_LIB_INCLUDES}
#        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/plasmaquick COMPONENT Devel)

#install(DIRECTORY
#        includes/PlasmaQuick
#        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDE COMPONENT Devel)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PlasmaQuick")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaQuickConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX PLASMAQUICK
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfigVersion.cmake" )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT KF5PlasmaQuickTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PlasmaQuickTargets.cmake NAMESPACE KF5:: )

=== tests/kplugins/CMakeLists.txt ===
add_executable(plugintest
    main.cpp
    plugintest.cpp
)

target_link_libraries(plugintest KF5::Plasma KF5::I18n KF5::Service Qt5::DBus Qt5::Gui)

#install(TARGETS plugintest ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/declarativeimports/core/CMakeLists.txt ===
if(HAVE_X11 AND XCB_XCB_FOUND AND XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    set(HAVE_XCB_COMPOSITE TRUE)
else()
    set(HAVE_XCB_COMPOSITE FALSE)
endif()

configure_file(config-x11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-x11.h)

set(corebindings_SRCS
    corebindingsplugin.cpp
    colorscope.cpp
    datamodel.cpp
    datasource.cpp
    #    runnermodel.cpp
    svgitem.cpp
    fadingnode.cpp
    framesvgitem.cpp
    quicktheme.cpp
    tooltip.cpp
    tooltipdialog.cpp
    serviceoperationstatus.cpp
    dataenginebindings.cpp
    iconitem.cpp
    units.cpp
    windowthumbnail.cpp
    )

add_library(corebindingsplugin SHARED ${corebindings_SRCS})
target_link_libraries(corebindingsplugin
        Qt5::Script
        Qt5::Quick
        Qt5::Qml
        KF5::Declarative
        KF5::IconThemes
        KF5::Service #for kplugininfo.h
        KF5::WindowSystem
        KF5::Plasma
        KF5::PlasmaQuick
        KF5::QuickAddons
)

if(HAVE_X11)
  target_link_libraries(corebindingsplugin ${X11_LIBRARIES} XCB::XCB )
  target_link_libraries(corebindingsplugin Qt5::X11Extras)

  if(XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    target_link_libraries(corebindingsplugin
        XCB::DAMAGE
        XCB::COMPOSITE
        )
  endif()

  if(HAVE_GLX)
    target_link_libraries(corebindingsplugin ${OPENGL_gl_LIBRARY})
  endif()
endif()

if(HAVE_EGL)
    target_link_libraries(corebindingsplugin EGL::EGL)
endif()

if (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GLESv2")
    target_link_libraries(corebindingsplugin Qt5::Gui_GLESv2)
endif()

install(TARGETS corebindingsplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/core)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/core)

install(FILES private/DefaultToolTip.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/core/private)

## plasma-framework 5.3.0

=== debian/changelog ===
plasma-framework (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:28:42 +0100

plasma-framework (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Move copyright extra details to comment to silence
    space-in-std-shortname-in-dep5-copyright lintian error.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:46:53 +0200

plasma-framework (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Patch symbols with batchpatch. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:16:03 +0200

plasma-framework (5.0.0-0ubuntu2) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Harald Sitter ]
  * plasma-framework-dev publicly declares kf5service as a link dependency, so
    make the package depend on libkf5service-dev to reflect this

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Jul 2014 14:57:43 +0200

plasma-framework (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 16 Jul 2014 14:35:36 +0200

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kdoctools-dev (>= 5.3.0),
               kio-dev (>= 5.3.0),
               kross-dev (>= 5.3.0),
               libkf5activities-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5crash-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5declarative-dev (>= 5.3.0),
               libkf5dnssd-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5idletime-dev (>= 5.3.0),
               libkf5itemmodels-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5parts-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5texteditor-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5threadweaver-dev (>= 5.3.0),
               libkf5unitconversion-dev (>= 5.3.0),
               libkf5wallet-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquick1-5-dev,
               qtscript5-dev,
               qttools5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/plasma-framework.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/plasma-framework.git

Package: plasma-framework-dev
Architecture: any
Section: libdevel
Depends: libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev,
         ${misc:Depends}
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: plasma-framework-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libkf5plasma5 (= ${binary:Version}),
 libkf5plasmaquick5 (= ${binary:Version})
Description: Plasma Runtime components - debug symbols
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains debug symbols for plasma-framework.

## plasma-framework 5.9.0

=== debian/changelog ===
plasma-framework (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:33:19 +0200

plasma-framework (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:43:50 +0100

plasma-framework (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:19:10 +0100

plasma-framework (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:49:31 +0100

plasma-framework (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:18:02 +0100

plasma-framework (5.4.0-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * Fix symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 18:40:15 +0100

plasma-framework (5.4.0-0ubuntu1~ubuntu15.04~ppa2) vivid; urgency=medium

  * Batchpatch symbols. Removed Plasma::Applet::destroyedChanged(bool)
    which was inserted by the CI system and should not be in this release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 05 Nov 2014 23:37:27 +0000

plasma-framework (5.4.0-0ubuntu1~ubuntu15.04~ppa1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 18:40:15 +0100

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               kdoctools-dev (>= 5.9.0),
               kio-dev (>= 5.9.0),
               kross-dev (>= 5.9.0),
               libkf5activities-dev (>= 5.9.0),
               libkf5archive-dev (>= 5.9.0),
               libkf5attica-dev (>= 5.9.0),
               libkf5auth-dev (>= 5.9.0),
               libkf5bookmarks-dev (>= 5.9.0),
               libkf5codecs-dev (>= 5.9.0),
               libkf5completion-dev (>= 5.9.0),
               libkf5config-dev (>= 5.9.0),
               libkf5configwidgets-dev (>= 5.9.0),
               libkf5coreaddons-dev (>= 5.9.0),
               libkf5crash-dev (>= 5.9.0),
               libkf5dbusaddons-dev (>= 5.9.0),
               libkf5declarative-dev (>= 5.9.0),
               libkf5dnssd-dev (>= 5.9.0),
               libkf5globalaccel-dev (>= 5.9.0),
               libkf5guiaddons-dev (>= 5.9.0),
               libkf5i18n-dev (>= 5.9.0),
               libkf5iconthemes-dev (>= 5.9.0),
               libkf5idletime-dev (>= 5.9.0),
               libkf5itemmodels-dev (>= 5.9.0),
               libkf5itemviews-dev (>= 5.9.0),
               libkf5jobwidgets-dev (>= 5.9.0),
               libkf5kjs-dev (>= 5.9.0),
               libkf5notifications-dev (>= 5.9.0),
               libkf5package-dev (>= 5.9.0),
               libkf5parts-dev (>= 5.9.0),
               libkf5service-dev (>= 5.9.0),
               libkf5solid-dev (>= 5.9.0),
               libkf5sonnet-dev (>= 5.9.0),
               libkf5texteditor-dev (>= 5.9.0),
               libkf5textwidgets-dev (>= 5.9.0),
               libkf5threadweaver-dev (>= 5.9.0),
               libkf5unitconversion-dev (>= 5.9.0),
               libkf5wallet-dev (>= 5.9.0),
               libkf5widgetsaddons-dev (>= 5.9.0),
               libkf5windowsystem-dev (>= 5.9.0),
               libkf5xmlgui-dev (>= 5.9.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/plasma-framework.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/plasma-framework.git

Package: plasma-framework-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev,
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev,
         ${misc:Depends}
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: plasma-framework-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         ${misc:Depends}
Description: Plasma Runtime components - debug symbols
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains debug symbols for plasma-framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-framework-dbg

override_dh_auto_test:
	-xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/plasma-framework-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/plasma-framework-(.*)\.tar\.xz

## plasma-framework 5.15.0

=== debian/changelog ===
plasma-framework (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:59:51 +0100

plasma-framework (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:29:24 +0100

plasma-framework (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:36:13 +0200

plasma-framework (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge.

  [ José Manuel Santamaría Lema ]
  * Update symbols file:
    - Mark as optional the symbols gone after building with GCC 5
    - Add new symbols

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:12:13 +0200

plasma-framework (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.11.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 17:27:27 +0200

plasma-framework (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:39:21 +0200

plasma-framework (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:33 +0200

plasma-framework (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:04 +0100

plasma-framework (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:54 +0100

plasma-framework (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Feb 2015 12:43:28 +0100

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kdoctools-dev (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5activities-dev (>= 5.15.0~),
               libkf5archive-dev (>= 5.15.0~),
               libkf5codecs-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5declarative-dev (>= 5.15.0~),
               libkf5globalaccel-dev (>= 5.15.0~),
               libkf5guiaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5idletime-dev (>= 5.15.0~),
               libkf5itemmodels-dev (>= 5.15.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5package-dev (>= 5.15.0~),
               libkf5parts-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5solid-dev (>= 5.15.0~),
               libkf5su-dev (>= 5.15.0~),
               libkf5threadweaver-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5windowsystem-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/plasma-framework.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/plasma-framework.git

Package: plasma-framework-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.15.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.15.0~),
         ${misc:Depends}
Replaces: plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Breaks: plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: plasma-framework-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         ${misc:Depends}
Description: Plasma Runtime components - debug symbols
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains debug symbols for plasma-framework.

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus-x11, libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, oxygen-icon-theme,
         qml-module-qtquick2, libgl1-mesa-swx11, libgl1-mesa-swx11-dev
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## plasma-framework 5.18.0

=== debian/changelog ===
plasma-framework (5.18.0-0ubuntu1.1) xenial; urgency=medium

  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Add upstream_Ignore-check-if-just-one-part-of-size-is-zero-in-com.diff
    to fix the initial size of plasma widgets. (LP: #1560404)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 May 2016 12:52:04 +0200

plasma-framework (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Add missing files. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * plasma-framework breaks/replaces kapptemplate << 4:15.12 for qml-plasmoid 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jan 2016 15:12:37 +0100

plasma-framework (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files from buildds logs (5.15.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:48 +0100

plasma-framework (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:58 +0200

plasma-framework (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:56 +0100

plasma-framework (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update symbols files.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:19 +0200

plasma-framework (5.13.0-2) unstable; urgency=medium

  * Add libegl1-mesa-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 20:49:51 +0200

plasma-framework (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 08:45:57 +0200

plasma-framework (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:15 +0200

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kdoctools-dev (>= 5.18.0~),
               kio-dev (>= 5.18.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.18.0~),
               libkf5archive-dev (>= 5.18.0~),
               libkf5codecs-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5configwidgets-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5dbusaddons-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5guiaddons-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5iconthemes-dev (>= 5.18.0~),
               libkf5idletime-dev (>= 5.18.0~),
               libkf5itemmodels-dev (>= 5.18.0~),
               libkf5notifications-dev (>= 5.18.0~),
               libkf5package-dev (>= 5.18.0~),
               libkf5parts-dev (>= 5.18.0~),
               libkf5service-dev (>= 5.18.0~),
               libkf5solid-dev (>= 5.18.0~),
               libkf5su-dev (>= 5.18.0~),
               libkf5threadweaver-dev (>= 5.18.0~),
               libkf5widgetsaddons-dev (>= 5.18.0~),
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: plasma-framework-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.16.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.16.0~),
         ${misc:Depends}
Replaces: plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Breaks: plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<< 4:5.4.3+git20151201), kapptemplate (<< 4:15.12)
Replaces: plasma-widgets-addons (<< 4:5.4.3+git20151201), kapptemplate (<< 4:15.12)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: plasma-framework-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         ${misc:Depends}
Description: Plasma Runtime components - debug symbols
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains debug symbols for plasma-framework.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	$(overridden_command) --dbg-package=plasma-framework-dbg
 
 override_dh_auto_test:
-	-xvfb-run -a $(overridden_command)
+	# Disable dh_auto_test at build time
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus-x11, libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, oxygen-icon-theme,
         qml-module-qtquick2
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz

## plasma-framework 5.26.0

=== debian/changelog ===
plasma-framework (5.26.0-0ubuntu2) yakkety; urgency=medium

  * Sync testsuite with debian.
  * Run the tests with openbox.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Oct 2016 10:40:59 +0200

plasma-framework (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Install new plugins
  * Development package must depend on plasma-framework
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:53:30 +0100

plasma-framework (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refresh symbols
  * Install manpage translations

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:52:06 +0000

plasma-framework (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Refreshing symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:25:09 +0200

plasma-framework (5.22.0a-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix control file merge. 
  * Remove upstream applied patch. 
  * Manual merge. 
  * Refresh symbols. 
  * Start over with symbols. Something is not right. 
  * Remove duplicate file from -dev. 
  * Refresh symbols again. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Refreshing symbols and removing MISSING
  * Using respun tarball from KDE Depot

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 17:02:25 -0700

plasma-framework (5.19.0-2~) UNRELEASED; urgency=medium

  * Bump kapptemplate breaks/replaces, the conflicting file is going to be
    removed from kapptemplate in the next upload. (Closes: #816528) Thanks to
    Andreas Beckmann for the report.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Mar 2016 08:30:54 +0100

plasma-framework (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * (Experimental specific) Add qt5-qmltooling-plugins as a build-dep,
    missing dependency of qtdeclarative5-dev

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:44 +0100

plasma-framework (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Refreshing symbols x 2
  * Adding missing PlasmaQuick files to install file

 -- Clive Johnston <clivejo@aol.com>  Fri, 04 Mar 2016 18:46:26 +0000

plasma-framework (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * Update symbols files from buildds logs (5.16.0-1).
  * Update install files.
  * Update symbols files.
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:46 +0100

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kdoctools-dev (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.26.0~),
               libkf5archive-dev (>= 5.26.0~),
               libkf5codecs-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5configwidgets-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5dbusaddons-dev (>= 5.26.0~),
               libkf5declarative-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5guiaddons-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5idletime-dev (>= 5.26.0~),
               libkf5itemmodels-dev (>= 5.26.0~),
               libkf5notifications-dev (>= 5.26.0~),
               libkf5package-dev (>= 5.26.0~),
               libkf5parts-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5solid-dev (>= 5.26.0~),
               libkf5su-dev (>= 5.26.0~),
               libkf5threadweaver-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: plasma-framework-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.26.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.26.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends}
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<= 4:5.5~)
Replaces: plasma-widgets-addons (<= 4:5.5~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
